EvWatcher::__construct
EvWatcher::getLoop
EvWatcher
PHP Manual

# EvWatcher::feed

(PECL ev >= 0.2.0)

EvWatcher::feed — Feeds the given revents set into the event loop

### Description

public void EvWatcher::feed ( int `$revents` )

Feeds the given revents set into the event loop, as if the specified event had happened for the watcher.

### Parameters

`revents`

  Bit mask of watcher received events .

### Return Values

No value is returned.

EvWatcher::__construct
EvWatcher::getLoop
EvWatcher
PHP Manual